Contact Us

Home > Error Target > Error Target Org.macports.destroot Returned Error Renaming

Error Target Org.macports.destroot Returned Error Renaming

Even if I missed the clean, I am pretty sure it would auto-clean due to the updated portfile. Sorry, I don't have more detailed output. comment:5 Changed 6 years ago by [email protected]… I have using svn to sync - could that be the problem? I tried commenting out the post-destroot commands, which seemed to do the trick. navigate here

Aljaž Srebrnič -- -- My public key: http://bit.ly/81qoyC Previous message: Image error: Can't find image file /opt/local/var/macports/software/automoc/0.9.88_3 Next message: Root install problem Messages sorted by: [ date ] [ thread ] Can you ensure you're python25 is up to date and try again? Change History comment:1 Changed 6 years ago by [email protected]… Cc [email protected]… added I see similar problems with several other ports following the qt4-mac 4.7.0 / qt4 portgroup update. Note: See TracTickets for help on using tickets. https://trac.macports.org/ticket/26956

comment:6 Changed 6 years ago by [email protected]… No... OK, not sure what happened, but it seems to be working now. All rights reserved.

comment:16 in reply to: ↑ 14 Changed 8 years ago by [email protected]… Replying to [email protected]: Can you ensure you're python25 is up to date and try again? I can't reproduce this problem with python25-2.5.2_5 and py25-numpy-1.1.0_1, with or without python_select installed. Please attach the full build log, i.e. Bad practice, I know, but it got the job done. :-( comment:16 Changed 6 years ago by [email protected]… Cc [email protected]… added Cc Me!

Following are the details of my installation: $ port version Version: 1.520 $ sw_vers ProductName: Mac OS X ProductVersion: 10.4.10 BuildVersion: 8R218 There seems to be an error with the MacPorts Please don't fill out this field. To report a bug, see comment:10 Changed 5 years ago by [email protected]… Cc [email protected]… added Cc Me! https://trac.macports.org/ticket/28350 Using MacPorts 1.9.2 on OS X 10.6.7.

Please do: sudo port clean vtk5 sudo port selfupdate sudo port -uv install vtk5 +qt4_mac +python26 +data -tcltk and see if that works for you. This is true, but pip-2.5 is created during the installation process. comment:3 Changed 6 years ago by [email protected]… Cc [email protected]… removed Cc Me! comment:9 Changed 5 years ago by [email protected]… Same problem with py25-pip on MacPorts 2.0.3 OSX 10.7.2 ---> Computing dependencies for py25-pip ---> Fetching archive for py25-pip ---> Attempting to fetch py25-pip-1.0.2_1.darwin_11.x86_64.tgz

Terms Privacy Opt Out Choices Advertise Get latest updates about Open Source Projects, Conferences and News. All rights reserved. [email protected] Discussion: #31119: Error staging root: ROOT.py not found (too old to reply) MacPorts 2011-09-05 09:26:21 UTC PermalinkRaw Message #31119: Error staging root: ROOT.py not found------------------------------------+---------------------------------------Reporter: [email protected]… | Owner: [email protected]…Type: defect The default install of that appears to not require any sort of fortran compiler, so perhaps without one installed, f2py isn't built?

Michael? check over here When trying to install qt4-mac by itself, I got a similar error: $ sudo port install qt4-mac ---> Fetching qt4-mac ---> Verifying checksum(s) for qt4-mac ---> Extracting qt4-mac ---> Configuring qt4-mac Register Lost Password Login Home News Guide Mailing Lists New Ticket Ticket Reports Ticket Search Ticket Query Projects Apple Lossless Audio Codec Calendar and Contacts Server DarwinBuild Darwin Streaming Server DCERPC I will report back after awhile.

Any chance of a fix? comment:15 in reply to: ↑ 14 Changed 6 years ago by [email protected]… Whups - sorry people - I did something kinda' bad and checked in a revision to vtk-5.6.1 without searching first comment:14 follow-up: ↓ 15 Changed 6 years ago by [email protected]… I did notice another bug: ${vtkdest} is not being understood in the "data" variant section. his comment is here do "set" variables inside variants not carry through into stages nested inside those variants?

comment:14 follow-up: ↓ 16 Changed 8 years ago by [email protected]… I don't understand how this can be causing the problem, as the python binary used in defined in the python25 port group You seem to have CSS turned off. I only get this error for py25-pip, the Python 2.5 version of pip.

Please don't fill out this field.

All rights reserved. I've just done a selfupdate and tried to install py-pip andit gives me this:{{{---> Computing dependencies for py-pip---> Fetching py-pip---> Verifying checksum(s) for py-pip---> Extracting py-pip---> Configuring py-pip---> Building py-pip---> Staging New Ticket     Tickets     Wiki     Browse Source     Timeline     Roadmap     Ticket Reports     Search Search: Context Navigation ← Previous TicketNext Download in other formats: Comma-delimited Text Tab-delimited Text RSS Feed SourceForge Browse Enterprise Blog Deals Help Create Log In or Join Solution Centers Go Parallel Resources Newsletters Cloud Storage Providers Business

Ignore that, that isn't the issue. comment:8 Changed 5 years ago by [email protected]… Same also. Which isn't thecase for MacPorts.This explains why when I was on SL python26 worked OK, but I nevermanaged to get python27 working, whereas on Lion its the other way around(*).I'm debating weblink Rather than opening another ticket, I mention it here since it is related (global vs.

Its not clear ifanything will change.So, for the moment at least the situation is the only python variantswhich will work are the ones that are the same version as the systempython local variables). The MacPorts installation is not outdated so it was not updated ---> Fetching metacity ---> Verifying checksum(s) for metacity ---> Extracting metacity ---> Configuring metacity ---> Building metacity with target all Doesn't look like a "solution" to me (unless I'm missing something), as the install still fails and what does metacity have to do with this numpy issue?

I'll attach the full thing:{{{:info:destroot Copying pip.egg-info to/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_python_py-pip/work/destroot/opt/local/lib/python2.4/site-packages/pip-0.8-py2.4.egg-info:info:destroot running install_scripts:info:destroot Installing pip script to/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_python_py-pip/work/destroot/opt/local/bin:info:destroot Installing pip-2.4 script to/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_python_py-pip/work/destroot/opt/local/bin:debug:destroot Executing proc-post-org.macports.destroot-destroot-0:info:destroot xinstall:chdir(/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_python_py-pip/work/pip-0.8/docs):info:destroot xinstall: index.txt ->/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_python_py-pip/work/destroot/opt/local/share/doc/py-pip/index.txt:info:destroot xinstall: news.txt ->/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_python_py-pip/work/destroot/opt/local/share/doc/py-pip/news.txt:info:destroot xinstall: requirement-format.txt ->/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_python_py-pip/work/destroot/opt/local/share/doc/py-pip/requirement-format.txt:error:destroot Target I understand that I can withdraw my consent at any time.